#![no_main]
#![no_std]

use panic_halt as _;
use cortex_m_rt::entry;
use stm32f4xx_hal::{
    watchdog::IndependentWatchdog,
    rcc::RccExt,
    pac::{CorePeripherals, Peripherals},
    time::MegaHertz, prelude::_stm32f4xx_hal_gpio_GpioExt,
};
use log::info;
mod device;
use device::boot::bootup;
use device::sys_timer;

#[entry]
fn main() -> ! {

    let mut core_perif = CorePeripherals::take().unwrap();
    let perif = Peripherals::take().unwrap();

    let (mut wd) = bootup(core_perif, perif);    

    loop {
        wd.feed();
        info!("looping");
        sys_timer::sleep(10);
    }

}